<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'LOAN_MANAGER.LOAN_REQUEST.FILTERS.TITLE' | translate"
    [description]="'LOAN_MANAGER.LOAN_REQUEST.FILTERS.DESCRIPTION' | translate"
    [results]="(loansRequest$ | async)?.filtered"
    [hasFiltredData]="isLoansRequestFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="
          'LOAN_MANAGER.LOAN_REQUEST.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters" class="filters">
      <p class="filters__title">
        {{ "LOAN_MANAGER.LOAN_REQUEST.FILTERS.AMOUNT_TITLE" | translate }}
      </p>
      <mo-input
        formControlName="amount__gte"
        [placeholder]="
          'LOAN_MANAGER.LOAN_REQUEST.FILTERS.AMOUNT_LESS' | translate
        "
        [type]="INPUT_TYPE.NUMBER"
        [icon]="'uil-usd-circle'"
        [iconPosition]="ICON_POSITION.LEFT"
      ></mo-input>
      <mo-input
        formControlName="amount__lte"
        [placeholder]="
          'LOAN_MANAGER.LOAN_REQUEST.FILTERS.AMOUNT_GRATHER' | translate
        "
        [type]="INPUT_TYPE.NUMBER"
        [icon]="'uil-usd-circle'"
        [iconPosition]="ICON_POSITION.LEFT"
      ></mo-input>
      <mo-date
        formControlName="created_at"
        [placeholder]="'LOAN_MANAGER.LOAN_REQUEST.FILTERS.TAKEN_AT' | translate"
      ></mo-date>
      <mo-drop-down
        formControlName="status"
        [options]="statusOptions"
        [defaultOptionName]="
          'LOAN_MANAGER.LOAN_REQUEST.FILTERS.STATUS' | translate
        "
      ></mo-drop-down>
    </div>
  </layout-filter-content>

  <div class="buttons">
    <mo-button
      [text]="'APP.FILTERS.BTN_SEARCH' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [type]="BUTTON_TYPE.SUBMIT"
    >
    </mo-button>
  </div>
</form>
